package observations;

import java.util.Vector;

public class ObservationExample2
{
 public static void main(String argv[])
 {
   Range range= new Range(0,1);
   Vector vec = new Vector();
   vec.addElement(range);
   RangeValidator validator = new RangeValidator(vec, "range1");

   PrimitiveObservationType obsType= new PrimitiveObservationType(validator,"observation1" );
   Vector components = new Vector ();
   components.addElement(obsType);
   CompositeObservationType obsType2 = new CompositeObservationType(components, "observation2");
   CompositeObservation observation2 = (CompositeObservation)obsType2.createObservation();

   PrimitiveObservation observation = (PrimitiveObservation)observation2.components.firstElement();

   observation.value((float)0.5);

   System.out.println("valid: "+observation2.isValid());

 } 

}
